/*----------- banner style start -----------*/
.img-container {
    position: relative;

    img {
        @include scale(1);
        position: relative;
    }

    &:hover {
        a {

            &:before,
            &:after {
                transform: scale(1);
            }
        }
    }

    &:hover {
        img {
            @include scale(1.07);
        }
    }
}

/*---- banner width settings start ----*/
.col1 {
    max-width: 44.3%;
    flex: 1 0 44.3%;
    // responsive
    @media #{$large-mobile} {
        max-width: 100%;
        flex: 1 0 100%;
        margin-bottom: 30px;
    }
}
.col2 {
    max-width: 28.4%;
    flex: 1 0 28.4%;
    // responsive
    @media #{$large-mobile} {
        max-width: 100%;
        flex: 1 0 100%;
        margin-bottom: 30px;
    }
}
.col3 {
    max-width: 27.1%;
    flex: 1 0 27.1%;
    // responsive
    @media #{$large-mobile} {
        max-width: 100%;
        flex: 1 0 100%;
    }
}
/*---- banner width settings end ----*/

.banner-1 {
    background: url(../img/banner/banner-5.jpg);
    background-position: center;
    background-size: cover;
}
.banner-2 {
    background: url(../img/banner/banner-6.jpg); 
    background-position: center;
    background-size: cover;
}
.banner-3 {
    background: url(../img/banner/cms_5.5.jpg); 
    background-position: center;
    background-size: cover;
}
.banner-content {
    padding: 100px 0;
    position: relative;
    z-index: 1;
    // Responsive
    @media #{$large-mobile} {
        padding: 58px 0;
    }
    h2 {
        color: $white;
        font-size: 36px;
        font-weight: 300;
        line-height: 28px;
        text-transform: uppercase;
        // Responsive
        @media #{$large-mobile} {
            font-size: 30px;
        }
        @media #{$extra-small-mobile} {
            font-size: 25px;
        }
    }
    p {
        color: $white;
        font-size: 24px;
        line-height: 30px;
        font-weight: 300;
        padding: 25px 0;
        text-transform: uppercase;
        // Responsive
        @media #{$large-mobile} {
            font-size: 20px;
            padding: 15px 0;
        }
        @media #{$extra-small-mobile} {
            font-size: 15px;
            line-height: 22px;
        }
    }
    .sqr-btn {
        @include border-radius(3px);
    }
    &__2 {
        p {
            padding: 10px 0;
            // Responsive
            @media #{$large-mobile} {
                padding-top: 0;
            }
        }
        h2 {
            font-weight: 600;
            font-style: italic;
        }
    }
    &__3 {
        padding-top: 84px;
        @media #{$large-mobile} {
            padding-top: 52px;
        }
        p {
            padding: 10px 0;
            // Responsive
            @media #{$large-mobile} {
                padding: 0;
                padding-bottom: 15px;
            }
        }
        h2 {
            font-weight: 600;
            padding: 10px 0;
            font-style: italic;
            // Responsive
            @media #{$large-mobile} {
                padding-top: 0;
            }
        }
    }
}
.overlay {
    position: relative;
    &:before {
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        content: "";
        position: absolute;
        background-color: rgba(0,0,0,0.4);
    }
}

/*------------- banner style end -------------*/